#ifndef __MAIN_H_
#define __MAIN_H_

#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>

typedef enum
{
    CMD_SET_RF_CHANNEL = 0x01,
    CMD_SET_RF_FREQ_BAND = 0x02,
    CMD_SET_RF_POWER = 0x03,
    CMD_SET_RF_BAUDRATE = 0x04,
    CMD_SET_UART_BAUDRATE = 0x05,
    CMD_TRIGGLE_RF_PERIOD_SEND = 0x06,
    CMD_GET_RF_RSSI = 0x07,
    CMD_SET_PACKET_FORMAT = 0x08,
    CMD_SET_RF_ACK = 0x09,
    CMD_SET_DATA_DIRECT = 0x0A,
    CMD_SET_RF_FREQ_STEP = 0x0B,
    CMD_LOGIN_SERVER_PASSWORD = 0x0C,
    CMD_DEVICE_IMEI = 0x0D,
    CMD_BAND_REMOTE_DEVICE_IMEI = 0x0E,
    CMD_GET_POWER_VALUE = 0x20,
    CMD_PARAMS_FACTORY = 0x21,
    CMD_RESET_DEVICE = 0x22,
    CMD_RF_CARRIY_WAVE = 0x23,
    CMD_GET_ALL_PARAMS = 0x24,
    CMD_GET_SOFTWARE_VERSION = 0x25,
    CMD_ENTER_CONFIG_MODE = 0x26,
    CMD_TEST_RF_RX_SENSTY = 0x27,
    CMD_INT_DEVICE_IP_ADDR = 0x30,  //INT_CMD_SET_IP_ADDR
    CMD_INT_SET_OPEN_DHCP = 0x31,    //INT_CMD_SET_OPEN_DHCP
    CMD_INT_SUBNET_MASK = 0x32,    //INT_CMD_SET_SUBNET_MASK
    CMD_INT_NET_ADDR = 0x33,    //INT_CMD_SET_NET_ADDR
    CMD_INT_LOCAL_PORT = 0x34,    //INT_CMD_SET_LOCAL_PORT
    CMD_INT_TARGET_IP_ADDR = 0x35,    //INT_CMD_SET_TARGET_IP_ADDR
    CMD_INT_TARGET_PORT = 0x36,    //INT_CMD_SET_TARGET_PORT
    CMD_INT_ENABLE_RAND_LOCAL_PORT = 0x37,    //INT_CMD_SET_ENABLE_RAND_LOCAL_PORT
    CMD_INT_SET_UART_BAUDRATE = 0x38,    //INT_CMD_SET_UART_BAUDRATE
    CMD_INT_SET_UART_PARAMS = 0x39,    //INT_CMD_SET_UART_PARAMS
    CMD_INT_SET_UART_RX_TIMEOUT = 0x3a,    //INT_CMD_SET_UART_RX_TIMEOUT
    CMD_INT_SET_INT_MODE = 0x3b,    //INT_CMD_SET_INT_MODE
    CMD_INT_GET_ALL_PARAMS = 0x3c,    //INT_CMD_SET_INT_MODE
    CMD_DIRECT_DATA = 0x52, //透传数据
    CMD_TO_BOOTLOADER = 0x53,
    CMD_HEART = 0x54,
    CMD_ACK = 0x55,
    CMD_ACK_ERROR = 0xEE,
}cmd_te;
typedef struct 
{
    uint8_t len;    //[0]LEN(cmd)+LEN(bufferByte)+LEN(crc1)
    uint8_t cmd;    //[1]
    uint8_t bufferByte;//[2],LEN=(len -4) + 1
    uint8_t crc1;    //[len-1]
}baseCmdFram_ts;
#pragma pack(1) 
typedef struct 
{
    char projectModel[20];
    uint32_t deviceId;
    uint8_t rfChannel;
    uint8_t channelStep;
    int8_t txPower;
    uint8_t rfBaudrate;
    uint8_t chipType;
    uint8_t beepNumb;
    uint8_t checkSum;
}userParams_ts;
#pragma pack()
#endif
