#ifndef __MY_RADIO_H
#define __MY_RADIO_H
/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"

#define MAX_RF_PACKET_LEN 128

//! \brief Structure for the TX Packet
typedef struct
{
    uint8_t rmvAddr[8];              //
    uint32_t absTime;                //
                                       

    uint8_t len;                     //
    uint8_t payload[MAX_RF_PACKET_LEN];       //
} rfTxPacket_ts;

typedef struct
{
    uint8_t rmvAddr[8];              //
    int8_t rssi;                     //
    uint32_t absTime;                //
                                       
                                       

    uint32_t rxTimeout;              //
                                       
    uint8_t len;                     //
    uint8_t payload[MAX_RF_PACKET_LEN];
} rfRxPacket_ts;
typedef enum 
{
    RADIO_EXT_CONTROL_TX_UNMODULATED,   //单载波功率测试
    RADIO_EXT_CONTROL_RX_SENSITIVITY,   //接收灵敏度测试
}controlMode_te;
typedef enum
{
    RX_STA_SECCESS,
    RX_STA_TIMEOUT,
    RX_STA_PAYLOAD_ERROR,
    TX_STA_SECCESS,
    TX_STA_ERROR,
}rxStatus_te;
typedef void (*rfRxCallBack)(uint8_t status, rfRxPacket_ts packet);

void myRadio_init(int agr0, void *agr1_ptr);
void myRadio_abort(void);
void myRadio_transmit(rfTxPacket_ts *packet);
void myRadio_receiver(void);
void myRadio_receiverSync(rfRxPacket_ts *packet);
uint8_t myRadio_getRfMode(void);
void myRadio_setCtrl(controlMode_te mode, uint32_t value);
void myRadio_process(void);
#endif

